Debian Bug report logs - #570781
squeeze: ldap preseeding needs to be updated

version graph

Package: debian-edu-install; Maintainer for debian-edu-install is Debian Edu Developers <debian-edu@lists.debian.org>; Source for debian-edu-install is src:debian-edu-install.

Reported by: Holger Levsen <holger@layer-acht.org>

Date: Sun, 21 Feb 2010 12:42:04 UTC

Severity: important

Tags: moreinfo

Fixed in version debian-edu-install/1.507

Done: Petter Reinholdtsen <pere@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Edu Developers <debian-edu@lists.debian.org>:
Bug#570781; Package debian-edu-config. (Sun, 21 Feb 2010 12:42:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <holger@layer-acht.org>:
New Bug report received and forwarded. Copy sent to Debian Edu Developers <debian-edu@lists.debian.org>. (Sun, 21 Feb 2010 12:42:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: submit@bugs.debian.org
Subject: squeeze: ldap preseeding needs to be updated
Date: Sun, 21 Feb 2010 13:39:29 +0100
[Message part 1 (text/plain, inline)]
package: debian-edu-config
severity: important
version: 1.436
tags: moreinfo
User: debian-edu@lists.debian.org
Usertags: debian-edu

Hi,

quoting http://wiki.debian.org/DebianEdu/Status/Squeeze:

"libnss-ldapd have been split in two, and our preseeding need to preseed the 
nslcd package instead. Probably want to replace libpam-ldap with libpam-ldapd 
as well."

I assume this bug should be filed with severity serious, as the effect is the 
same as with 570773, though maybe this is one is the cause for 570773?


cheers,
	Holger
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Edu Developers <debian-edu@lists.debian.org>:
Bug#570781; Package debian-edu-config. (Sun, 21 Feb 2010 12:54:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Debian Edu Developers <debian-edu@lists.debian.org>. (Sun, 21 Feb 2010 12:54:08 GMT) Full text and rfc822 format available.

Message #10 received at 570781@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: 570781@bugs.debian.org
Subject: Re: Bug#570781: squeeze: ldap preseeding needs to be updated
Date: Sun, 21 Feb 2010 13:53:01 +0100
[Holger Levsen]
> libnss-ldapd have been split in two, and our preseeding need to
> preseed the nslcd package instead.

I believe this preseeding in
debian-edu-install/base-config/defaults.networked will fix the
libnss-ldapd settings.

  # Some of the libnss-ldapd settings moved to nslcd in Squeeze
  nslcd  nslcd/ldap-base string  dc=skole,dc=skolelinux,dc=no
  nslcd  nslcd/ldap-uris string  DNS

Using libpam-ldapd instead of libpam-ldap will need more work across
debian-edu, debian-edu-install and debian-edu-config.

Happy hacking,
-- 
Petter Reinholdtsen




Bug 570781 cloned as bug 570799. Request was from Holger Levsen <holger@layer-acht.org> to control@bugs.debian.org. (Sun, 21 Feb 2010 13:39:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Edu Developers <debian-edu@lists.debian.org>:
Bug#570781; Package debian-edu-config. (Wed, 24 Feb 2010 08:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Debian Edu Developers <debian-edu@lists.debian.org>. (Wed, 24 Feb 2010 08:54:03 GMT) Full text and rfc822 format available.

Message #17 received at 570781@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: 570781@bugs.debian.org
Subject: Re: Bug#570781: squeeze: ldap preseeding needs to be updated
Date: Wed, 24 Feb 2010 09:52:53 +0100
[Petter Reinholdtsen]
> I believe this preseeding in
> debian-edu-install/base-config/defaults.networked will fix the
> libnss-ldapd settings.
> 
>   # Some of the libnss-ldapd settings moved to nslcd in Squeeze
>   nslcd  nslcd/ldap-base string  dc=skole,dc=skolelinux,dc=no
>   nslcd  nslcd/ldap-uris string  DNS

I've now tested this preseeding, and it work as it should.

Happy hacking,
-- 
Petter Reinholdtsen




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Edu Developers <debian-edu@lists.debian.org>:
Bug#570781; Package debian-edu-config. (Wed, 24 Feb 2010 10:06:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <holger@layer-acht.org>:
Extra info received and forwarded to list. Copy sent to Debian Edu Developers <debian-edu@lists.debian.org>. (Wed, 24 Feb 2010 10:06:05 GMT) Full text and rfc822 format available.

Message #22 received at 570781@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: 570781@bugs.debian.org
Subject: Re: Bug#570781: squeeze: ldap preseeding needs to be updated
Date: Wed, 24 Feb 2010 11:04:19 +0100
[Message part 1 (text/plain, inline)]
Hi Petter,

On Mittwoch, 24. Februar 2010, Petter Reinholdtsen wrote:
> I've now tested this preseeding, and it work as it should.

Great. 

I assume you're holding this off until after +edu1?


cheers,
	Holger
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Edu Developers <debian-edu@lists.debian.org>:
Bug#570781; Package debian-edu-config. (Wed, 24 Feb 2010 10:24:16 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Debian Edu Developers <debian-edu@lists.debian.org>. (Wed, 24 Feb 2010 10:24:16 GMT) Full text and rfc822 format available.

Message #27 received at 570781@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: Holger Levsen <holger@layer-acht.org>, 570781@bugs.debian.org
Subject: Re: Bug#570781: squeeze: ldap preseeding needs to be updated
Date: Wed, 24 Feb 2010 11:21:28 +0100
[Holger Levsen]
> Great. 
> 
> I assume you're holding this off until after +edu1?

I'm not commiting to svn, if that is what you mean.  But I believe it
would be a good idea to do so, as having unused preseeding values in
not really a risk.

Anyway, I update <URL: http://ftp.skolelinux.org/installer-squeeze.dat >
with the squeeze preseedings I use for PXE testing, if others want to
test using the same settings.

Happy hacking,
-- 
Petter Reinholdtsen




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Edu Developers <debian-edu@lists.debian.org>:
Bug#570781; Package debian-edu-config. (Wed, 24 Feb 2010 13:09:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Debian Edu Developers <debian-edu@lists.debian.org>. (Wed, 24 Feb 2010 13:09:02 GMT) Full text and rfc822 format available.

Message #32 received at 570781@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: 570781@bugs.debian.org
Subject: Re: Bug#570781: squeeze: ldap preseeding needs to be updated
Date: Wed, 24 Feb 2010 14:08:22 +0100
reassign 570781 debian-edu-install
thanks

As requested by Holger on IRC, I have now commited the new preseeding
values to SVN.

Happy hacking,
-- 
Petter Reinholdtsen




Bug reassigned from package 'debian-edu-config' to 'debian-edu-install'. Request was from Petter Reinholdtsen <pere@hungry.com> to control@bugs.debian.org. (Wed, 24 Feb 2010 13:09:04 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions debian-edu-config/1.436. Request was from Petter Reinholdtsen <pere@hungry.com> to control@bugs.debian.org. (Wed, 24 Feb 2010 13:09:05 GMT) Full text and rfc822 format available.

Reply sent to Petter Reinholdtsen <pere@debian.org>:
You have taken responsibility. (Wed, 03 Mar 2010 21:36:18 GMT) Full text and rfc822 format available.

Notification sent to Holger Levsen <holger@layer-acht.org>:
Bug acknowledged by developer. (Wed, 03 Mar 2010 21:36:18 GMT) Full text and rfc822 format available.

Message #41 received at 570781-close@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@debian.org>
To: 570781-close@bugs.debian.org
Subject: Bug#570781: fixed in debian-edu-install 1.507
Date: Wed, 03 Mar 2010 21:34:46 +0000
Source: debian-edu-install
Source-Version: 1.507

We believe that the bug you reported is fixed in the latest version of
debian-edu-install, which is due to be installed in the Debian FTP archive:

debian-edu-install-udeb_1.507_all.udeb
  to main/d/debian-edu-install/debian-edu-install-udeb_1.507_all.udeb
debian-edu-install_1.507.dsc
  to main/d/debian-edu-install/debian-edu-install_1.507.dsc
debian-edu-install_1.507.tar.gz
  to main/d/debian-edu-install/debian-edu-install_1.507.tar.gz
debian-edu-install_1.507_all.deb
  to main/d/debian-edu-install/debian-edu-install_1.507_all.deb
debian-edu-profile-udeb_1.507_all.udeb
  to main/d/debian-edu-install/debian-edu-profile-udeb_1.507_all.udeb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 570781@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Petter Reinholdtsen <pere@debian.org> (supplier of updated debian-edu-install package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 12 Feb 2010 18:32:00 +0100
Source: debian-edu-install
Binary: debian-edu-install debian-edu-profile-udeb debian-edu-install-udeb
Architecture: source all
Version: 1.507
Distribution: unstable
Urgency: low
Maintainer: Debian Edu Developers <debian-edu@lists.debian.org>
Changed-By: Petter Reinholdtsen <pere@debian.org>
Description: 
 debian-edu-install - Set d-i values to install Debian Edu without questions
 debian-edu-install-udeb - Execute Debian Edu debian-installer profile (udeb)
 debian-edu-profile-udeb - Choose Debian Edu profile (udeb)
Closes: 564626 569001 569577 570217 570420 570781
Changes: 
 debian-edu-install (1.507) unstable; urgency=low
 .
   [ Patrick Winnertz ]
   * Moved /etc/modprobe.d/debian-edu-install to
     /etc/modprobe.d/debian-edu-install.conf
 .
   [ Petter Reinholdtsen ]
   * Adjust udeb dependencies (kbd-chooser->keyboard-setup and
     netcfg->configured-network) to continue to work work with future
     debian-installer versions (Closes: #569577).
   * Enforce mode 755 on debian-edu-install-udeb/DEBIAN/isinstallable, to
     avoid lintian warning (had 775).
   * Update to standards-version 3.8.4.  No changes needed.
   * Provide nslcd preseeding for Squeeze, using the same values as is
     used for libnss-ldapd in Lenny (Closes: #570781).
 .
   [ Translations]
   * Update Norwegian (nn) by Jan Roar Rød.
   * Update Basque (eu) by Iñaki Larrañaga Murgoitio. (Closes: #570217)
   * Add Slovak (sk) by Ivan Masár. (Closes: #570420)
   * Polish German (de) by Andreas B. Mundt.
   * Update Traditional Chinese (zh_TW) by Andrew Lee (李健秋).
   * Update Vietnamese (vi) by Clytie Siddall. (Closes:#569001)
   * Update Itaian (it) by Claudio Carboncini. (Closes:#564626)
Checksums-Sha1: 
 679b0b277683a8031514d0ecc7bdd7b3eb25d651 1370 debian-edu-install_1.507.dsc
 4777423bc31de787089116a1b0f57fd6e50e375c 151476 debian-edu-install_1.507.tar.gz
 ddd96f5bb3142680d0d0bb2f05036ea6023a8aee 42162 debian-edu-install_1.507_all.deb
 0761d0be7ec2fbc230a860f6a48e7a60c2b7e505 2800 debian-edu-install-udeb_1.507_all.udeb
 2b92b030eeb3929421b97b785494fdf36ae78ca3 51346 debian-edu-profile-udeb_1.507_all.udeb
Checksums-Sha256: 
 7bf596c08f75619f1bbb652b7b36194d11d9eb0aff7a5f3b355797d4d8ad4dab 1370 debian-edu-install_1.507.dsc
 9de0a864b5badb5e682677722d9835a9b0c5f1e446152672a6106a9f1ad635a4 151476 debian-edu-install_1.507.tar.gz
 0403143d7bf08ce7ff920a0fe091cf4661b36bff0cbd18d84621df715ab23b6a 42162 debian-edu-install_1.507_all.deb
 1e09d0978d2184359bdd08e03cfcbc61ed6a33d4eea51be2f4dd1e7439dbe792 2800 debian-edu-install-udeb_1.507_all.udeb
 b1a8704d63b33df44960f2fb8c8bd831f82bad1687bb025fee27e8dff9b3ed50 51346 debian-edu-profile-udeb_1.507_all.udeb
Files: 
 c14c0ce0aa4fa7cba7e13fcdd509732f 1370 misc optional debian-edu-install_1.507.dsc
 f306bd9cb424638efbd66e3da68e9728 151476 misc optional debian-edu-install_1.507.tar.gz
 a98e5f2d83c8657c7e04ae86676a0c48 42162 misc extra debian-edu-install_1.507_all.deb
 87671323a2d4df718d7f073ba4e9deaa 2800 debian-installer optional debian-edu-install-udeb_1.507_all.udeb
 93a6f2b3b4a0339a37b72a2d5f0204a1 51346 debian-installer optional debian-edu-profile-udeb_1.507_all.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iD8DBQFLjsWp20zMSyow1ykRAmDDAKCDrCpLuGpDZ7gFacWTn1l2dWNH8gCeLnqb
iNqAWXJ63dCjcGONyYBVW40=
=pB2i
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 11 Apr 2010 07:38:15 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 10:55:26 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.